#ifndef BISON_GRAM_H
# define BISON_GRAM_H

#ifndef YYSTYPE
typedef union {
	char *string;
	struct {
		NODE *head;
 		NODE *tail;
	} stmtlist;
	NODE *node;
	struct return_node ret;
	struct poll_node poll;
	struct {
		struct poll_action *head, *tail;
	} actionlist;
	struct locus locus;
	struct {
		int kw;
		NODE *var;
	} arg;
	double number;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	ACT_ACCEPT	257
# define	ACT_REJECT	258
# define	ACT_TEMPFAIL	259
# define	ACT_CONTINUE	260
# define	ACT_DISCARD	261
# define	ADD	262
# define	REPLACE	263
# define	DELETE	264
# define	IF	265
# define	FI	266
# define	ELSE	267
# define	ELIF	268
# define	ON	269
# define	HOST	270
# define	FOR	271
# define	FROM	272
# define	AS	273
# define	DO	274
# define	DONE	275
# define	POLL	276
# define	MATCHES	277
# define	FNMATCHES	278
# define	WHEN	279
# define	HOSTNAME	280
# define	RELAYED	281
# define	RATE	282
# define	NEXT	283
# define	STRING	284
# define	CODE	285
# define	XCODE	286
# define	SYMBOL	287
# define	OR	288
# define	AND	289
# define	EQ	290
# define	NE	291
# define	NOT	292


extern YYSTYPE yylval;

#endif /* not BISON_GRAM_H */
